com.aliyun.svideosdk.recorder

## Interface RecordCallback

-     public interface RecordCallback

  录制回调接口

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onComplete(boolean validClip, long clipDuration)` 录制完毕的回调，回调发生在SDK内部子线程
    `void` | `onDrawReady()` 该回调后可以调用`AliyunIRecorder.startRecording()`接口
    `void` | `onError(int errorCode)` 录制错误回调，回调发生在SDK内部子线程
    `void` | `onFinish(java.lang.String outputPath)` 合成完毕的回调，回调发生在`AliyunIRecorder.finishRecording()`调用接口所在的线程。
    `void` | `onInitReady()` 录制初始化回调
    `void` | `onMaxDuration()` 达到最大时长，回调发生在SDK内部子线程
    `void` | `onPictureBack(Bitmap bitmap)` 获取当前渲染帧并转成bitmap
    `void` | `onPictureDataBack(byte[] data)` 获取当前渲染帧数据
    `void` | `onProgress(long duration)` 录制进度回调，回调发生在SDK内部子线程

- - ### Method Detail

    - #### onComplete

          void onComplete(boolean validClip,
                          long clipDuration)

      录制完毕的回调，回调发生在SDK内部子线程
      Parameters:
        `validClip` - 标记该片段是否有效，如果录制时间太短，会返回false
        `clipDuration` - 该片段的长度

    - #### onFinish

          void onFinish(java.lang.String outputPath)

      合成完毕的回调，回调发生在`AliyunIRecorder.finishRecording()`调用接口所在的线程。
      Parameters:
        `outputPath` - 合成视频地址

    - #### onProgress

          void onProgress(long duration)

      录制进度回调，回调发生在SDK内部子线程
      Parameters:
        `duration` - 当前已录制时间

    - #### onMaxDuration

          void onMaxDuration()

      达到最大时长，回调发生在SDK内部子线程

    - #### onError

          void onError(int errorCode)

      录制错误回调，回调发生在SDK内部子线程
      Parameters:
        `errorCode` - @see com.aliyun.svideosdk.common.AliyunErrorCode

    - #### onInitReady

          void onInitReady()

      录制初始化回调

    - #### onDrawReady

          void onDrawReady()

      该回调后可以调用`AliyunIRecorder.startRecording()`接口

    - #### onPictureBack

          void onPictureBack(Bitmap bitmap)

      获取当前渲染帧并转成bitmap
      Parameters:
        `bitmap` - 帧图像

    - #### onPictureDataBack

          void onPictureDataBack(byte[] data)

      获取当前渲染帧数据
      Parameters:
        `data` - 帧数据